import java.rmi.*;
import java.rmi.server.*;
import javax.naming.InitialContext;
import javax.naming.Context;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;

public class PayrollImpl extends PortableRemoteObject implements Payroll
{
	public PayrollImpl() throws RemoteException
	{
		super();
	}
	public double earnings (int id, double hours)
	{
		double pay;
		if(id<=5)
		{
			pay =hours*100;
		}
		else if(id>5 && id<=10)
		{
			pay =hours*50;
		}
		else
			pay =0.0;
		return pay;
	}

	public static void main(String[] args) 
	{
		String ro = "money";
		try
		{
			PayrollImpl  p = new PayrollImpl();
			Context initialNamingContext=new InitialContext();
			initialNamingContext.rebind(ro, p);
		}
		catch (Exception e)
		{
			System.out.println("Error while binding object");
			System.out.println(e.toString());
		}
		System.out.println("Hello World The rmi over IIOP server is running!");
	}
}
